% 
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 21/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 1                                                       <><>
%<><> Experimento: Dinamica de Populacoes                              <><>
%<><> Objetivo 4                                                       <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Definicao dos paramentros de Lotka-Volterra
C = [1; -1];                        % Definindo Matriz de fatores 
A = [0.1, 1; 1, 0.2];               % Definindo Matriz de iteracoes

%> Observando trajetorias no primiro quadrante

% Condicoes iniciais
x = ([1:-0.25:0.1]')*ones(1,2);

figure
for i = 1:max(size(x))
    
    main_function(x(i,1),x(i,2),C,A)
    
end

%>> Observando trajetorias na vizinhanca do equilibrio ([40, 45]./49)
% Condicoes iniciais
x = ([1:-0.025:0.8]')*([40, 45]./49);

figure
for i = 1:max(size(x))
    
    main_function(x(i,1),x(i,2),C,A)
    
end
title('Trajetorias na vizinhanca do equilibrio')