%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 11                                                      <><>
%<><> Experimento: atrator de Lorenz                                   <><>
%<><> Codigo auxiliar - definicao do sistema de Lorenz                 <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function dx = Lorenz(t,x,s,r,b)

    dx = zeros(3,1);
    
    dx(1) = s*(x(2) - x(1));
    dx(2) = x(1)*(r - x(3)) - x(2);
    dx(3) = x(1)*x(2) - b*x(3);
    
end