%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 11                                                      <><>
%<><> Experimento: atrator de Lorenz                                   <><>
%<><> Objetivos 1                                                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

 s = 10;
 b = 8/3;
 r_c = s*((s + b + 3)/(s - b - 1));
 %r = r_c - 0.5;
 r = 23;
 F = @(t,x) Lorenz(t,x,s,r,b);
 
 dt = 0.01;
 t0 = 0;
 tf = 50;
 t = t0:dt:tf;
 
 x0 = [0;1;1];
 
 [t,x] = ode45(F,[t0 tf],x0);
 
 figure;
 plot3(x(:,1),x(:,2),x(:,3))
 title(sprintf('r = %g',r))