%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 12                                                      <><>
%<><> Experimento: ciclo oxigenio-ozonio                               <><>
%<><> Codigo auxiliar - eq. 12.32                                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function dx = CicloChapman(t,x,m,k1,k2,k3,k4)

dx = zeros(3,1);

dx(1) = 2*k1*x(2) - k2*m*x(1)*x(2) + k3*x(3) - k4*x(1)*x(3);
dx(2) = -k1*x(2) -k2*m*x(1)*x(2) + k3*x(3) + 2*k4*x(1)*x(3);
dx(3) = k2*m*x(1)*x(2) - k3*x(3) -k4*x(1)*x(3);

end