%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 12                                                      <><>
%<><> Experimento: ciclo oxigenio-ozonio                               <><>
%<><> Codigo auxiliar - Metodo de Euler Implicito                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function x = EulerImplicito(F,DF,tnew,h,xold,dim,Tol)

    f = @(y) xold + h.*F(tnew,y) - y;
    Df = @(y) h.*DF(tnew,y) - diag(ones(dim,1));
    
    y0 = xold;
    dy = 1;
    counter = 0;
    counterMax = 5e3;
    while max(abs(dy)) > Tol
        
        counter = counter + 1;
        if counter > counterMax
            break
        end
        
        dy = Df(y0)\(-f(y0));
        y0 = y0 + dy;
    end
        
    x = y0;
    
end