%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 4                                                       <><>
%<><> Experimento: Curvas de Nivel                                     <><>
%<><> Funcao Auxiliar - F1 (Met. Taylor) para Lotka-Volterra           <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function dz = LotkaVolterra_F1(t,z,A,B,C,D)

    dx = (-A*C)./(z(1).*(z(2)^2)) + (B*C)./(z(2)^2);

    dy = (-A*C)./((z(1).^2).*z(2)) + (A*D)./(z(1)^2);

    dz = [dx,dy];

end