% Parameters, Initial Conditions and Handles for LLE

delta= 0.25;
alpha = 1;
beta = -1;
gamma = 0.4;
omega = 1;

d0 = 1e-10;

W0 = [0.2; 0 ; 0];

ti = 0;
tf = 1000;
h = 0.01;
t = ti:h:tf;

System = @(t,z) Duffing(t,z,delta, alpha, beta, gamma, omega);
