%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 8                                                       <><>
%<><> Experimento: Maior Expente de Lyapunov                           <><>
%<><> Objetivo 3                                                       <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
function [Le,contador] = Objetivo3(W0,d0,System,h) 

DeltaW0 = d0.*W0;
W0per = W0 + DeltaW0;

ignore = 100;
contador = 0;
lsum = 0;

LeOld = 0;
Le = 1;

while or((abs(Le - LeOld) > 1e-3),(contador<2e3))
    
    [~,W1] = ode45(System,[0,h],W0);
    W1 = W1(end,:);
    [~,W1per] = ode45(System,[0,h],W0per);
    W1per = W1per(end,:);
    
    DeltaW1 = W1per - W1;
    d1 = sqrt(DeltaW1*DeltaW1');
    
    DeltaW1 = (d0/d1).*DeltaW1;
    
    W0 = W1;
    DeltaW0 = DeltaW1;
    W0per = W0 + DeltaW0;
    contador = contador + 1;
    
    if contador > ignore
        LeOld = Le;
        lsum = lsum + log(d1/d0);
        Le = lsum/(contador-ignore + 1);
        Le = Le/h;
    
        %fprintf('i = %g    lsum = %g    Le = %f   \n',i,lsum,Le(i))   
    
    end
    
end

end
