%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 9                                                       <><>
%<><> Experimento: Problema de N-Corpos                                <><>
%<><> Codigo auxiliar - Lei Universal da Gravitacao                    <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function F = Gravitacao(t,x,Massas,N,G)

F = zeros(6,N);

for j = 1:N
    
    F(1:3,j) = x(4:6,j);
    
    for i = 1:N
        
        if i == j
            continue
        end
        
        r = x(1:3,i) - x(1:3,j);
        F(4:6,j) = F(4:6,j) + (G*Massas(i)/(norm(r,2)^3)).*r;
        
    end
    
end