function x = RK4(t0,x0,F,h)

    k1 = h.*F(t0,x0);
    k2 = h.*F(t0 +0.5*h , x0 + 0.5.*k1);
    k3 = h.*F(t0 +0.5*h , x0 + 0.5.*k2);
    k4 = h.*F(t0 +h , x0 + k3);
   
    x = x0 + (k1 + 2.*k2 + 2.*k3 + k4)./6;
    
end