N = 256;
h = 2*pi/N;
x = (0:N-1)*h;
dt  = 0.005;
D = 0.01;

k = [0:N/2-1 0 -N/2+1:-1]*2*pi/(2*pi);
k1 = 1i*k;
k2 = k1.^2;
%%
%uinit = sin(x);
uinit = exp(-100*(x-pi).^2);
u0 = uinit;

for t = 0:dt:5.0
    u1hat = fft(u0) - dt*k1.*fft(0.5*u0.^2) + dt*D*k2.*fft(u0);
    u0 = ifft(u1hat);

    plot(x,uinit,x,u0)
    axis([0,2*pi,-1,1])
    title(num2str(t))
    pause(0.01);
end