%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 11                                                      <><>
%<><> Experimento: atrator de Lorenz                                   <><>
%<><> Objetivos 4                                                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Parametros do modelo
s = 10;
b = 8/3;
r_c = s*((s + b + 3)/(s - b - 1));
%r = r_c - 0.5;
r = 28;
F = @(t,x) Lorenz(t,x,s,r,b);

t0 = 0;
tf = 250;

x0 = [20;20;20];

[t,x] = ode45(F,[t0 tf],x0);

figure;
plot3(x(:,1),x(:,2),x(:,3))
xlabel('x'); ylabel('y'); zlabel('z')
title(sprintf('r = %g',r))

%[N,edges] = histcounts(x(:,1));
histogram(x(:,1))
title(sprintf('x(0) = [%g, %g, %g]',x0(1),x0(2),x0(3)))
