%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 12                                                      <><>
%<><> Experimento: ciclo oxigenio-ozonio                               <><>
%<><> Codigo auxiliar - Jacobiano da eq 12.32                          <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function J = CicloChapman_Jacobiano(t,x,m,k1,k2,k3,k4)

J = zeros(3,3);

J(1,:) = [-k2*m*x(2)-k4*x(3)   , 2*k1-k2*m*x(1), k3-k4*x(1)];
J(2,:) = [-k2*m*x(2)+2*k4*x(3) , -k1-k2*m*x(1) , k3+2*k4*x(1)];
J(3,:) = [ k2*m*x(2)-k4*x(3)   , k2*m*x(1)     , -k3-k4*x(1)];

end