%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 12                                                      <><>
%<><> Experimento: ciclo oxigenio-ozonio                               <><>
%<><> Codigo auxiliar - passo de RK4                                   <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function x = RK4(F,t0,x0,h)

    k1 = F(t0,x0);
    k2 = F(t0 + 0.5.*h, x0 + 0.5.*h.*k1);
    k3 = F(t0 + 0.5.*h, x0 + 0.5.*h.*k2);
    k4 = F(t0 + h, x0 + h.*k3);
    
    x = x0 + (h/6).*(k1 + 2.*k2 + 2.*k3 + k4);
    
end