%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 4                                                       <><>
%<><> Experimento: Curvas de Nivel                                     <><>
%<><> Metodo de Heun                                                   <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function x = Heun(t0,tf,h,x0,F)

    t = (t0:h:tf)';

    x = zeros(length(t),length(x0));
    x(1,:) = x0;
    
    for i = 2:length(t)
        
        k1 = F(t(i-1),x(i-1,:));
        k2 = F(t(i-1),x(i-1,:)+ h.*k1);
        
        x(i,:) = x(i-1,:) + (h/2).*(k1+k2);
        
    end
    

end