%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 4                                                       <><>
%<><> Experimento: Curvas de Nivel                                     <><>
%<><> Funcao Auxiliar - F2 (Met. Taylor) para Lotka-Volterra           <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function dz = LotkaVolterra_F2(t,z,A,B,C,D)

    dx = (-A*(C^2) - 2*(A^2)*C)./((z(1)^2).*(z(2)^3)) + (4*A*B*C)./(z(1)*(z(2)^3)) ...
        + (A*C*D)./((z(1)*z(2))^2) - (2*C*(B^2))./(z(2)^3);

    dy = (-2*A*(C^2) - (A^2)*C)./((z(1)^3).*(z(2)^2)) + (4*A*C*D)./(z(2)*(z(1)^3)) ...
        + (A*C*B)./((z(1)*z(2))^2) - (2*A*(D^2))./(z(1)^3);

    dz = [dx,dy];

end