%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 4                                                       <><>
%<><> Experimento: Curvas de Nivel                                     <><>
%<><> Metodo de Taylor de ordem 3                                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function x = Taylor3(t0,tf,h,x0,F0,F1,F2)

    t = (t0:h:tf)';

    x = zeros(length(t),length(x0));
    x(1,:) = x0;
    
    for i = 2:length(t)
       
        x(i,:) = x(i-1,:) + h.*F0(t(i-1),x(i-1,:)) ...
            + ((h^2)/2).*F1(t(i-1),x(i-1,:)) + ((h^3)/6).*F2(t(i-1),x(i-1,:));
        
    end
    

end