%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 5                                                       <><>
%<><> Experimento: Circuitos Eletricos                                 <><>
%<><> Objetivo 4                                                       <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Parametros de resolucao
h = 0.1;
Tol = 1e-3;
tf = 30;

% Condicoes iniciais
t0 = 0;
x0 = [0.2,0];

% Variando valores do parametro mu e resolvendo sistema
for mu = 0.2:0.2:2
    % Definindo e parametrizando o sistema de EDO's
    F = @(t,x) Lienard(t,x,mu);
    
    [t,x] = RKF45(t0,tf,h,x0,F,Tol);
    
    figure
    plot(x(:,1),x(:,2))
    xlabel('x_1'); ylabel('x_2');
    title(sprintf('mu = %g',mu))
end
