%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 6                                                       <><>
%<><> Experimento: Instabilidade Aerodinamica                          <><>
%<><> Objetivos 1                                                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

function [lambda1, lambda2, lambda3, lambda4] = Lambda(m,l,c,Kh,Ka,v)

A = (l^2)*Kh/3 + Ka;
B = ((l^2)*Kh/3)*(Ka + c*l*(v^2)/2);

lambdaSq_mais = (6/(m*l^2))*(-A + sqrt(A^2 - B));
lambda1 = sqrt(lambdaSq_mais);
lambda2 = -sqrt(lambdaSq_mais);

lambdaSq_menos = (6/(m*l^2))*(-A - sqrt(A^2 - B));
lambda3 = sqrt(lambdaSq_menos);
lambda4 = -sqrt(lambdaSq_menos);

end