%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 7                                                       <><>
%<><> Experimento: Ressonancia                                         <><>
%<><> Objetivo 3                                                       <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Definindo e parametrizando o sistema de EDO's
% Parametros para solucao estavel
%a = 0;
%b = 1;
%c1 = 3;
%c4 = -5;
%omega = 2;

% Parametros para solucao ressonante
a = 0;
b = 1;
c1 = 3;
c4 = 2;
omega = 1;

% Parametrizacao do sistema
F = @(t,x) c1.*sin(omega.*t) + c4.*sin(4*omega.*t); 
Osc = @(t,x) OsciladorCompleto(t,x,a,b,F);

% Condicoes iniciais
t0 = 0;
x0 = [-1,0];

% Parametros de resolucao
h = 0.05;
Tol = 1e-3;
tf = 10*pi;

[t,x] = RK4(t0,tf,h,x0,Osc);
%[t,x] = RKF45(t0,tf,h,x0,Osc,Tol);

plot(t,x(:,1))
hold on;