%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 7                                                       <><>
%<><> Experimento: Ressonancia                                         <><>
%<><> Objetivo 4                                                       <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Definindo e parametrizando o sistema de EDO's
% Parâmetros que mantem comportamento esperado para a < 0
%a = -0.2;
%b = 1;
%c = 1;
%omega = 1;

% Parâmetros que contrariam comportamento esperado para a < 0 (solucao nao amortecida)
a = 2;
b = 1;
c = 1;
omega = 1;

% Parametrizando sistema
F = @(t,x) c.*Degrau(t,2*pi); 
Osc = @(t,x) OsciladorCompleto(t,x,a,b,F);

% Condicoes iniciais
t0 = 0;
x0 = [-1,0];

% Parametros de resolucao
h = 0.05;
Tol = 1e-3;
tf = 15*pi;

[t,x] = RK4(t0,tf,h,x0,Osc);

plot(t,x(:,1))
hold on;