%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 7                                                       <><>
%<><> Experimento: Ressonancia                                         <><>
%<><> Codigo Basico                                                    <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Resolvendo Oscilador Harmonico Forcado usando RKF45

% Definindo e parametrizando o sistema de EDO's
a = 0;
b = 2;
c = 0;
omega = 1;
F = @(t,x) c.*sin(omega.*t); 
Osc = @(t,x) OsciladorCompleto(t,x,a,b,F);

% Condicoes iniciais
t0 = 0;
x0 = [-1,0];

% Parametros de resolucao
h = 0.05;
Tol = 1e-3;
tf = 6*pi;

[t,x] = RKF45(t0,tf,h,x0,Osc,Tol);

plot(t,x(:,1))
hold on;